Welcome to Senpy's documentation!
=================================

With Senpy, you can easily turn your sentiment or emotion analysis algorithm into a full blown semantic service.
Sharing your sentiment analysis with the world has never been easier.
Senpy provides:

* Parameter validation, error handling
* Formatting: JSON-LD, Turtle/n-triples input and output, or simple text input
* Linked Data. Results are semantically annotated, using a series of well established vocabularies, and sane default URIs.
* A web UI where users can explore your service and test different settings
* A client to interact with any senpy service
* A command line tool



.. toctree::
   :caption: Learn more about senpy
   :maxdepth: 2

   senpy
   installation
   usage
   apischema
   plugins
   conversion
   demo
   research.rst
